SICONOS(1)

NAME
siconos - Siconos C++ Compilation.

SYNOPSIS
siconos [ -a ] [ --build-dir DIRECTORY ] [ --clean-build ] [ -c | --clean ] [ -D KEY [=VALUE] ] [ -g ] [ -h | --help ] [ -j JOBS ] [ -L DIRECTORY ] [ -l LIBRARY ] [ --noexec ] [ --nocomp ] [ --opt C++ COMPILER OPTION ] [ --ldopt LINKER OPTION ] [ -P PREFIX COMMAND ] [ --plugin-dir PLUGIN DIRECTORY ] [ --plugins-dir PLUGINS DIRECTORY ] [ --src-dir SOURCES DIRECTORY ] [ -v ] [ --generator Generator Name ] [ sample[.cpp|.py] ] [ arguments ]

DESCRIPTION

The siconos(1) command compiles, links and runs a Siconos C++ input file. It compiles also C plugins and runs a python script.

Siconos is a free (Apache license) software, dedicated to modeling, simulation and control of Non Smooth Dynamical Systems.

OPTIONS

The following command-line options are recognized by siconos(1).

-a
     Find and compile all sources files in sample[.cpp|.py]
     directory.

--build-dir
    DIRECTORY
     Compile inside specified directory. If /tmp, temp directories are created.

--clean-build
     Clean build directory.

-c  | --clean
     Clean the current directory (deletes binary files, etc.).

-D  KEY [=VALUE]
     Define a 'cmake' and a 'cpp' variable.

-g
     Compile with debug information.

-h  | --help
     Print help.

-j  JOBS NUMBER
     Do parallel compilation with JOBS NUMBER jobs

-L  DIRECTORY
     Add a directory to the linker search list.

-l  LIBRARY
     Link with a library.

--noexec
     Do not run executable after compilation.

--nocomp
     Do not compile executable before run.

-O  N
     set compiler optimization.

--opt
    COMPILER OPTION
     Add option to compiler.

--ldopt
    LINKER OPTION
     Add option to linker.

-P  PREFIX COMMAND
     Run a prefix command (time, valgrind, gdb, etc.).

--plugin-dir
    PLUGIN DIRECTORY
     Compile a plugin with the sources under the specified plugin directory.
     The name of the compiled plugin is the name of the directory. The default is a directory named plugin.

--plugins-dir
    PLUGINS DIRECTORY
     For each source file under the specified directory, compile a plugin. The default is a directory named plugins.

--src-dir
    SOURCES DIRECTORY
     add all source files under the specified directory to the compilation of the executable.

-v
     Print make(1) commands as they are executed.

--generator
    Generator Name
     set the generator for cmake (the default is plateform dependent, but usually "Unix Makefiles" under *nix and MacOs). This is mainly useful for Windows users.

EXAMPLES

 siconos -gv -P "time --format '%U'" BouncingBallTS.cpp

SEE ALSO
The Siconos Software Documentation

http://siconos.gforge.inria.fr